function res=stats(listaesami, soglia)
  %
  if (nargin <1) 
    error('Lista esami???? ');
  end
  if (nargin < 2)
    soglia = 10;
  end

  % Soglie numeriche
  nclassi=4;
  bound_classi=[21,24,27];
  ns=[0,0,0,0];

  % Quanti studenti? 
  matricole=unique({listaesami.matricola});
  nstud=length(matricole);
  nval=0;

  % Ciclo sugli studenti 
  for matr=matricole
    % Estrai gli esami dello studente
    idx=strcmp({listaesami.matricola},matr);
    crediti=[listaesami(idx).crediti];
    voti   =[listaesami(idx).voto];
    ctot=sum(crediti);
    media=sum(voti.*crediti)/ctot;
    nome=unique({listaesami(idx).nome}); nome=nome{1};
    cognome=unique({listaesami(idx).cognome});cognome=cognome{1};
    fmt='Lo studente %s %s ha una media di %f su %d crediti\n';
    fprintf(fmt,nome,cognome,media,ctot);
    if (ctot >soglia) 
      nval=nval+1;
      ix=4-sum(media<bound_classi);
      ns(ix) = ns(ix)+1;      
    end
  end
  res=sum(ns)/nstud;
  percval=ns./nval;
  perctot=ns./nstud;

  disp('Percentuali sugli studenti in corso');
  disp(percval);

  disp('Percentuali su tutti gli studenti ');
  disp(perctot);

    
  