function mcd=euclid(m,n)
				% Algoritmo di euclide: calcola il MCD dei
				% suoi argomenti.
				% Gli argomenti devono essere interi non negativi.

  if (m ~= floor(m)) | (m < 0) | (n ~= floor(n)) | (n < 0) 
    fprintf('Euclid richiede due interi positivi! \n');
    m
    n
    return
  end

  while n ~= 0
    [q,r] = div(m,n);
    m = n;
    n = r;
  end
  mcd=m;
end

function [q,r]=div(m,n)

  q=floor(m/n);
  r=mod(m,n);
end
