function cmsg=rotn(msg,n)
% Applies rotn to mesg. 
if (~ischar(msg))
  cmsg=msg;
  return
end

lowc =((uint8('a')<=msg)&(msg<=uint8('z')));
highc=(uint8('A')<=msg)&(msg<=uint8('Z'));
other=~((lowc)|(highc));

clow=uint8(msg(lowc));
chigh=uint8(msg(highc));
coth=uint8(msg(other));

clow=clow-n;
chigh=chigh-n;
if (n>=0) 
  idx=clow<uint8('a');
  clow(idx) = clow(idx)+26;
  idx=chigh<uint8('A');
  chigh(idx) = chigh(idx)+26;
else
  idx=clow>uint8('z');
  clow(idx) = clow(idx)-26;
  idx=chigh>uint8('Z');
  chigh(idx) = chigh(idx)-26;
end

cmsg(lowc)=clow;
cmsg(highc)=chigh;
cmsg(other)=coth;
cmsg=char(cmsg);